$(document).ready(function () {
    $("body").on("blur", '.barcode', checkProdcode);
    $("body").on("focus", '.barcode', autoAddRows);
    $("body").on("change blur input", '.cost', calCost);
    $("body").off('click').on("click", '.remove', remove);
    $("body").off('change', '.pouchflag').on('change', '.pouchflag', chkPouch);
    chkPouch();

    // Run when checkbox is toggled

    function calCost() {
        var cost = $(".cost").val();
        var rateperc = $(".rateperc").val();
        var newrate = parseFloat(cost) + parseFloat((cost * rateperc) / 100);
        $(".rate").val(newrate.toFixed(2));
    }
    function chkPouch() {
        if ($('.pouchflag').is(':checked')) {
            $('.hidePouch').css('display', 'none');
        } else {
            $('.hidePouch').css('display', '');
        }
    }


    function checkProdcode() {
        var barcode = $('.barcode').val();
        var code = $('.code').val();
        if (barcode) {
            $.get('check_prod.php', {barcode: barcode, code: code}, function (data) {
                if (parseFloat(data) > 0) {
                    $('.barcode').val("");
                    $('.barcode').focus();
                    alert("Barcode Already Exist");
                }
            });
        }
    }

    $('#addnew').click(function () {
        AddRows();
    });


    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();
        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = '.fetchpart_' + ctr;
        $.post('product_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }




});